## WDS Go Active request

WDS Go Active request

## Functions

QmiMessageWdsGoActiveOutput * | qmi_message_wds_go_active_output_ref ()
void | qmi_message_wds_go_active_output_unref ()
gboolean | qmi_message_wds_go_active_output_get_result ()
void | qmi_client_wds_go_active ()
QmiMessageWdsGoActiveOutput * | qmi_client_wds_go_active_finish ()

## Types and Values

| QmiMessageWdsGoActiveOutput

## Object Hierarchy

        GBoxed
        ╰── QmiMessageWdsGoActiveOutput

## Description

## Functions

### qmi_message_wds_go_active_output_ref ()

    QmiMessageWdsGoActiveOutput *
    qmi_message_wds_go_active_output_ref (QmiMessageWdsGoActiveOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsGoActiveOutput. |

#### Returns

the new reference to `self` .

Since: 1.18

### qmi_message_wds_go_active_output_unref ()

    void
    qmi_message_wds_go_active_output_unref
                                   (QmiMessageWdsGoActiveOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsGoActiveOutput. |

Since: 1.18

### qmi_message_wds_go_active_output_get_result ()

    gboolean
    qmi_message_wds_go_active_output_get_result
                                   (QmiMessageWdsGoActiveOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageWdsGoActiveOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.18

### qmi_client_wds_go_active ()

    void
    qmi_client_wds_go_active (QmiClientWds *self,
                              gpointer unused,
                              guint timeout,
                              GCancellable *cancellable,
                              GAsyncReadyCallback callback,
                              gpointer user_data);

Asynchronously sends a Go Active request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_wds_go_active_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientWds. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.18

### qmi_client_wds_go_active_finish ()

    QmiMessageWdsGoActiveOutput *
    qmi_client_wds_go_active_finish (QmiClientWds *self,
                                     GAsyncResult *res,
                                     GError **error);

Finishes an async operation started with `qmi_client_wds_go_active()`.

#### Parameters

self | a QmiClientWds. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_wds_go_active()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageWdsGoActiveOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_wds_go_active_output_unref()`.

Since: 1.18

## Types and Values

### QmiMessageWdsGoActiveOutput

    typedef struct _QmiMessageWdsGoActiveOutput QmiMessageWdsGoActiveOutput;

The QmiMessageWdsGoActiveOutput structure contains private data and should only be accessed using the provided API.

Since: 1.18